//
//  AutoLaunchController.h
//  AsReaderScan
//
//  Created by Mikiko on 11/7/24.
//  Copyright © 2024 SPS INC. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <AsReaderDockSDK/AsReaderDockSDK.h>

@protocol AutoLaunchControllerDelegate <NSObject>
- (void)receivedGetAutoLaunch:(BOOL)isOn bundle:(NSString *)bundle;
//- (void)receivedSetAutoLaunch:(BOOL)isOn bundle:(NSString *)bundle;
- (void)setAutoLaunch:(BOOL)isOn bundle:(NSString *)bundle;
@end

/**
 *  @brief      This is for M24D. This file defines a view controller for managing auto-launch functionality for an app.
 */
@interface AutoLaunchController : UIViewController

//@property (nonatomic, strong) ALPresenter *presenter;
@property (nonatomic, weak) id<AutoLaunchControllerDelegate> delegate;
@property (nonatomic, strong) UILabel *bundleIdTitleLabel;
@property (nonatomic, strong) UILabel *appBundleIdLabel;
@property (nonatomic, strong) UILabel *appBundleIdTextField;
@property (nonatomic, strong) UILabel *readerBundleIdLabel;
@property (nonatomic, strong) UILabel *readerCurrentBundleIdLabel;
@property (nonatomic, strong) UITextField *readerBundleIdTextField;
@property (nonatomic, strong) UIButton *okButton;
@property (nonatomic, strong) UIButton *cancelButton;
@property (nonatomic, strong) UIButton *appCopyButton;
@property (nonatomic, strong) UIButton *readerCopyButton;
@property (nonatomic, strong) UISwitch *swAction;

@end

