//
//  SettingViewController.h
//  AsReaderScan
//
//  Created by Mikiko on 11/7/24.
//  Copyright © 2024 SPS INC. All rights reserved.
//

#ifndef SettingViewController_h
#define SettingViewController_h


#endif /* SettingViewController_h */
#import <UIKit/UIKit.h>
#import "SettingPresenter.h"
#import "SettingModel.h"

/**
 *  @brief      This is for M24D. This file defines the view controller responsible for displaying and interacting with the user settings interface. This controller is part of the MVP pattern, and its role is to manage the user interface (View) for the settings of the M24D which involves updating and displaying the settings.
 */
@interface SettingViewController : UIViewController <UITableViewDelegate, UITableViewDataSource, SettingPresenterDelegate>


@property (weak, nonatomic) IBOutlet UITableView *tableView;
@property (strong, nonatomic) NSArray<SettingItem *> *settingLists;
@property (strong, nonatomic) SettingPresenter *presenter;

@end
