//
//  SoundViewController.h
//  AsReaderScan
//
//  Created by koda on 2015年/2015/07/21.
//
//

#import <UIKit/UIKit.h>


@protocol SoundSelecting<NSObject>
- (void)selectCell:(id)dto;
@end

/**
 *  @brief      The SoundViewController class is a UIViewController subclass responsible for displaying a list of sounds in a table view. It integrates with the SoundManager and SoundDataSource to manage and present sound data, and provides functionality for selecting a sound and playing it. The class also allows users to choose a sound and save their preference using NSUserDefaults.
 */
@interface SoundViewController : UIViewController<UITableViewDelegate>
@property (weak, nonatomic) IBOutlet UITableView *tableView;
@property (weak, nonatomic) id<SoundSelecting> delegate;
@end
